﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace sl_Chart_545153
{

    public partial class ChartView : UserControl
    {
        public ChartView()
        {
            InitializeComponent();
            this.Loaded += this.UserControl_Loaded;
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            Search();
        }

        private void Search()
        {
            this.DataContext = this.GenerateItemsSource();
        }

        private List<Product> GenerateItemsSource()
        {
            var itemsSource = new List<Product>()  
		    { 
			    new Product(){ YEAR_QUARTER = "2005Q1", AMOUNT = 7355782263.0, GROWTH_RATE = 0.0}, 
			    new Product(){ YEAR_QUARTER = "2006Q1", AMOUNT = 8442978860.0, GROWTH_RATE = 0.12846931412807066}, 
			    new Product(){ YEAR_QUARTER = "2007Q1", AMOUNT = 10479835074.0, GROWTH_RATE = 0.19435956764752421}, 
			    new Product(){ YEAR_QUARTER = "2008Q1", AMOUNT = 13391929676.0, GROWTH_RATE = 0.21745145564935536}, 
			    new Product(){ YEAR_QUARTER = "2009Q1", AMOUNT = 15585168316.0, GROWTH_RATE = 0.14072601562784431}, 
			    new Product(){ YEAR_QUARTER = "2010Q1", AMOUNT = 19255541629.0, GROWTH_RATE = 0.19061384021553305}, 
		    };

            return itemsSource;
        }
    }

    public class Product
    {
        public string YEAR_QUARTER { get; set; }
        public double AMOUNT { get; set; }
        public double GROWTH_RATE { get; set; }
    }

}
